
Figure - Bug #114447
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113425 (New): V4.0专项--BSP专项--压测

【BSP】【EVT1】【开机引导】【压测】设备第一次烧机后，在过完开机引导进入操作界面时断电重启，设
备出现"Quickstep 屡次停止运行提示" 
2022-12-09 11:08 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-09

Priority: High Due date: 2023-01-06

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: 01.00.0056.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 出现重启的时候还会进一次开机引导的原因是激活方式不正确。��点击屏幕激活的方式只是跳过了激活过程，其实设备并未写入激活数据，设备并没有真正的激活。在完成激活引导之后，会进入launcher，然后禁用激活app，由于突然断电，会导致设备未及时禁用激活app。��如果按照规范方式激活，如使用模拟中控，或者使用中控激活，会写入激活数据，及时突然断电，再次启动时也会确定到激活状态，然后正常禁用激活app，所以不会出现再次进入开机引导的问题。

Description

【前提条件】

None

【测试步骤】

1.使用Qfile烧机后等待设备自动开机

2.在出现开机引导后右划直到出现“完成”选项

3.点击完成后进入操作界面

4.设备断电重启

【预期结果】

4. 设备能正常重启，且已经度过开机引导

【实际结果】

开机引导界面再次出现，且出现"Quickstep 屡次停止运行提示" 错误提示

History

#1 - 2022-12-09 11:24 - CD FW 曹覃刚

- Category changed from BSP to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-唐金泽 to CD FW 曹覃刚

#2 - 2022-12-09 16:51 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

Hi 王营

此问题初步分析如下

1.进入激活页面

manual/087_manual_00001_221208_042525.log:1916:12-08 04:16:56.434  1504  2847 I ActivityTaskManager: START u0

{cmp=com.thundercomm.tcsetupwizard/.TcSetupStartActivity} from uid 1000
2.Launcher在不停的崩溃

不停的启动 com.android.launcher3/com.android.quickstep.RecentsActivity 这个画面，但是在不停的崩溃

manual/087_manual_00002_221208_042525.log:308:12-08 04:16:59.836  2506  2506 E AndroidRuntime: Process: com.android.launcher3, PID: 2506

manual/087_manual_00002_221208_042525.log:437:12-08 04:17:00.297  3678  3678 E AndroidRuntime: Process: com.android.launcher3, PID: 3678

manual/087_manual_00002_221208_042525.log:760:12-08 04:22:00.856  4377  4377 E AndroidRuntime: Process: com.android.launcher3, PID: 4377

manual/087_manual_00002_221208_042525.log:912:12-08 04:22:01.301  4420  4420 E AndroidRuntime: Process: com.android.launcher3, PID: 4420

manual/087_manual_00002_221208_042525.log:1026:12-08 04:23:29.460  4561  4561 E AndroidRuntime: Process: com.android.launcher3, PID: 4561

manual/087_manual_00002_221208_042525.log:1143:12-08 04:23:29.864  4600  4600 E AndroidRuntime: Process: com.android.launcher3, PID: 4600

manual/087_manual_00002_221208_042525.log:1273:12-08 04:23:30.283  4642  4642 E AndroidRuntime: Process: com.android.launcher3, PID: 4642

manual/087_manual_00002_221208_042525.log:1395:12-08 04:23:30.658  4707  4707 E AndroidRuntime: Process: com.android.launcher3, PID: 4707

manual/087_manual_00002_221208_042525.log:1500:12-08 04:23:31.000  4775  4775 E AndroidRuntime: Process: com.android.launcher3, PID: 4775

manual/087_manual_00003_221208_042525.log:154:12-08 04:23:31.318  4825  4825 E AndroidRuntime: Process: com.android.launcher3, PID: 4825

manual/087_manual_00003_221208_042525.log:1473:12-08 04:23:31.639  4921  4921 E AndroidRuntime: Process: com.android.launcher3, PID: 4921

manual/087_manual_00004_221208_042525.log:1115:12-08 04:23:32.020  5019  5019 E AndroidRuntime: Process: com.android.launcher3, PID: 5019

manual/087_manual_00005_221208_042526.log:180:12-08 04:23:32.351  5118  5118 E AndroidRuntime: Process: com.android.launcher3, PID: 5118

manual/087_manual_00005_221208_042526.log:479:12-08 04:23:32.724  5187  5187 E AndroidRuntime: Process: com.android.launcher3, PID: 5187

manual/087_manual_00005_221208_042526.log:776:12-08 04:23:33.169  5225  5225 E AndroidRuntime: Process: com.android.launcher3, PID: 5225

3.进入引导页面并结束引导

manual/087_manual_00002_221208_042525.log:1206:12-08 04:23:29.885  1504  4599 I ActivityTaskManager: START u0

{cmp=com.thundercomm.tcsetupwizard/.TcSetupSecondActivity} from uid 1000

manual/087_manual_00005_221208_042526.log:765:12-08 04:23:33.157  2149  2149 D TcSetupSecondActivity: do finishTcSetup

manual/087_manual_00005_221208_042526.log:843:12-08 04:23:33.254  2149  2149 D TcSetupStartActivity: do finishTCSetup

4.一分钟后进入屏保画面

manual/087_manual_00006_221208_042526.log:334:12-08 04:24:33.881  1504  5266 I ActivityTaskManager: START u0 {flg=0x10000000

pkg=com.thundercomm.screensaver cmp=com.thundercomm.screensaver/android.service.dreams.DreamActivity (has extras)} from uid 10052

崩溃日志如下: ClassCastException

manual/087_manual_00002_221208_042525.log:1499:12-08 04:23:31.000  4775  4775 E AndroidRuntime: FATAL EXCEPTION: main

manual/087_manual_00002_221208_042525.log:1500:12-08 04:23:31.000  4775  4775 E AndroidRuntime: Process: com.android.launcher3, PID: 4775

manual/087_manual_00002_221208_042525.log:1501:12-08 04:23:31.000  4775  4775 E AndroidRuntime: java.lang.RuntimeException: Unable to start activity

ComponentInfo{com.android.launcher3/com.android.quickstep.RecentsActivity}: android.view.InflateException: Binary XML file line #42 in

com.android.launcher3:layout/fallback_recents_activity: Binary XML file line #42 in com.android.launcher3:layout/fallback_recents_activity: Error inflating class

com.android.quickstep.fallback.FallbackRecentsView

manual/087_manual_00002_221208_042525.log:1502:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3636)

manual/087_manual_00002_221208_042525.log:1503:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

manual/087_manual_00002_221208_042525.log:1504:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

manual/087_manual_00002_221208_042525.log:1505:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

manual/087_manual_00002_221208_042525.log:1506:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

manual/087_manual_00002_221208_042525.log:1507:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

manual/087_manual_00002_221208_042525.log:1508:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

manual/087_manual_00002_221208_042525.log:1509:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

manual/087_manual_00002_221208_042525.log:1510:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

manual/087_manual_00002_221208_042525.log:1511:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

manual/087_manual_00002_221208_042525.log:1512:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

manual/087_manual_00002_221208_042525.log:1513:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at
com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

manual/087_manual_00002_221208_042525.log:1514:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

manual/087_manual_00002_221208_042525.log:1515:12-08 04:23:31.000  4775  4775 E AndroidRuntime: Caused by: android.view.InflateException: Binary XML file line

#42 in com.android.launcher3:layout/fallback_recents_activity: Binary XML file line #42 in com.android.launcher3:layout/fallback_recents_activity: Error inflating class

com.android.quickstep.fallback.FallbackRecentsView

manual/087_manual_00002_221208_042525.log:1516:12-08 04:23:31.000  4775  4775 E AndroidRuntime: Caused by: android.view.InflateException: Binary XML file line

#42 in com.android.launcher3:layout/fallback_recents_activity: Error inflating class com.android.quickstep.fallback.FallbackRecentsView

manual/087_manual_00002_221208_042525.log:1517:12-08 04:23:31.000  4775  4775 E AndroidRuntime: Caused by: java.lang.reflect.InvocationTargetException

manual/087_manual_00002_221208_042525.log:1518:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at java.lang.reflect.Constructor.newInstance0(Native Method)

manual/087_manual_00002_221208_042525.log:1519:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

java.lang.reflect.Constructor.newInstance(Constructor.java:343)

manual/087_manual_00002_221208_042525.log:1520:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.view.LayoutInflater.createView(LayoutInflater.java:858)

manual/087_manual_00002_221208_042525.log:1521:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:1010)

manual/087_manual_00002_221208_042525.log:1522:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:965)

manual/087_manual_00002_221208_042525.log:1523:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.view.LayoutInflater.rInflate(LayoutInflater.java:1127)

manual/087_manual_00002_221208_042525.log:1524:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.view.LayoutInflater.rInflateChildren(LayoutInflater.java:1088)

manual/087_manual_00002_221208_042525.log:1525:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.view.LayoutInflater.rInflate(LayoutInflater.java:1130)

manual/087_manual_00002_221208_042525.log:1526:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.view.LayoutInflater.rInflateChildren(LayoutInflater.java:1088)

manual/087_manual_00002_221208_042525.log:1527:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:686)

manual/087_manual_00002_221208_042525.log:1528:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:538)

manual/087_manual_00002_221208_042525.log:1529:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:485)

manual/087_manual_00002_221208_042525.log:1530:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.launcher3.statemanager.StatefulActivity.inflateRootView(StatefulActivity.java:66)

manual/087_manual_00002_221208_042525.log:1531:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.quickstep.RecentsActivity.setupViews(RecentsActivity.java:117)

manual/087_manual_00002_221208_042525.log:1532:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.quickstep.RecentsActivity.onCreate(RecentsActivity.java:297)

manual/087_manual_00002_221208_042525.log:1533:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.app.Activity.performCreate(Activity.java:8070)

manual/087_manual_00002_221208_042525.log:1534:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.app.Activity.performCreate(Activity.java:8050)

manual/087_manual_00002_221208_042525.log:1535:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1330)

manual/087_manual_00002_221208_042525.log:1536:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3609)

manual/087_manual_00002_221208_042525.log:1537:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

manual/087_manual_00002_221208_042525.log:1538:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

manual/087_manual_00002_221208_042525.log:1539:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

manual/087_manual_00002_221208_042525.log:1540:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

manual/087_manual_00002_221208_042525.log:1541:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

manual/087_manual_00002_221208_042525.log:1542:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

manual/087_manual_00002_221208_042525.log:1543:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)
manual/087_manual_00002_221208_042525.log:1544:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

manual/087_manual_00002_221208_042525.log:1545:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

manual/087_manual_00002_221208_042525.log:1546:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

manual/087_manual_00002_221208_042525.log:1547:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

manual/087_manual_00002_221208_042525.log:1548:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

manual/087_manual_00002_221208_042525.log:1549:12-08 04:23:31.000  4775  4775 E AndroidRuntime: Caused by: java.lang.ClassCastException:

com.android.quickstep.RecentsActivity cannot be cast to com.android.launcher3.Launcher

manual/087_manual_00002_221208_042525.log:1550:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.launcher3.Launcher.getLauncher(Launcher.java:3012)

manual/087_manual_00002_221208_042525.log:1551:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.quickstep.views.RecentsView.updateEmptyStateUi(RecentsView.java:3496)

manual/087_manual_00002_221208_042525.log:1552:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.quickstep.views.RecentsView.updateEmptyMessage(RecentsView.java:3117)

manual/087_manual_00002_221208_042525.log:1553:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.quickstep.views.RecentsView.<init>(RecentsView.java:679)

manual/087_manual_00002_221208_042525.log:1554:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.quickstep.fallback.FallbackRecentsView.<init>(FallbackRecentsView.java:60)

manual/087_manual_00002_221208_042525.log:1555:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     at

com.android.quickstep.fallback.FallbackRecentsView.<init>(FallbackRecentsView.java:56)

manual/087_manual_00002_221208_042525.log:1556:12-08 04:23:31.000  4775  4775 E AndroidRuntime:     ... 31 more

从日志看，激活引导正常启动并结束

但系统一直在尝试启动com.android.launcher3/com.android.quickstep.RecentsActivity，发生了连续崩溃，请帮助分析此异常原因，谢谢

#3 - 2022-12-14 17:49 - CDTS-TEST 周婷

- Due date set to 2022-12-21

- Target version set to VX1_MCE_FSE_V5.0_20221230

#4 - 2022-12-20 16:41 - CD APP-李德盛

- Assignee changed from CD APP-王营 to CD APP-李德盛

#5 - 2022-12-23 17:47 - CD APP-李德盛

- % Done changed from 0 to 40

■ Current conclusion

RecentsActivity是用于实现屏幕固定功能，可以把RecentsActivity去掉。

■ My analysis

崩溃的直接原因：recent定制过程中没有维护RecentsActivity，导致无法使用。

更深一层的原因：launcher拿到的SystemUiFlags包含SYSUI_STATE_HOME_DISABLED，认为桌面功能被禁用了，会启动RecentsActivity以提供独立的recent

功能。

■ Next action

1、launcher侧把RecentsActivity给禁用了，解决报错问题，https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/171602。

2、麻烦SystemUI分析一下断电重启后为什么会添加SYSUI_STATE_HOME_DISABLED 标志。

3、完成引导，进入桌面后马上断电，再次重启的时候还会进一次开机引导，这个问题需要继续分析。

#6 - 2022-12-23 17:53 - CD APP-李德盛

- Assignee changed from CD APP-李德盛 to CD FW 曹覃刚
#7 - 2022-12-26 09:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171602 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Disable RecentsActivity1. RecentsActivity has been deprecated.TC-RID: 1201-0205302IssueID: TS-R-BUG-114447Change-Id:

I2b5ecc4e1915df4ec134a63405254df6fa05fc51

#8 - 2022-12-26 09:40 - CD FW 曹覃刚

- Category changed from CD-APP to CD-FW

#9 - 2022-12-26 11:04 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

Hi 天颖

需要更新最新的代码，然后检查下面问题

3、完成引导，进入桌面后马上断电，再次重启的时候还会进一次开机引导，这个问题需要继续分析。

#10 - 2022-12-26 15:49 - CDTS-TEST 周婷

- Due date changed from 2022-12-21 to 2023-01-06

- Target version changed from VX1_MCE_FSE_V5.0_20221230 to VX1_MCE_FSE_C sample_20230113

#11 - 2022-12-27 16:54 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to 移动测试一组_CDTS 刘强

- % Done changed from 40 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 出现重启的时候还会进一次开机引导的原因是激活方式不正确。

点击屏幕激活的方式只是跳过了激活过程，其实设备并未写入激活数据，设备并没有真正的激活。在完成激活引导之后，会进入launcher，然后禁用激

活app，由于突然断电，会导致设备未及时禁用激活app。

如果按照规范方式激活，如使用模拟中控，或者使用中控激活，会写入激活数据，及时突然断电，再次启动时也会确定到激活状态，然后正常禁用激

活app，所以不会出现再次进入开机引导的问题。

■ Current conclusion

完成引导，进入桌面后马上断电，再次重启的时候还会进一次开机引导，不是bug

■ My analysis

出现重启的时候还会进一次开机引导的原因是激活方式不正确。

点击屏幕激活的方式只是跳过了激活过程，其实设备并未写入激活数据，设备并没有真正的激活。在完成激活引导之后，会进入launcher，然后禁用激

活app，由于突然断电，会导致设备未及时禁用激活app。

如果按照规范方式激活，如使用模拟中控，或者使用中控激活，会写入激活数据，及时突然断电，再次启动时也会确定到激活状态，然后正常禁用激

活app，所以不会出现再次进入开机引导的问题。

■ Submit URL

无
#12 - 2022-12-28 20:12 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

验证结果：验证通过，问题3不是bug，因此关闭此bug

#13 - 2022-12-28 20:12 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
